org.eclipse.gef.zest.fx.behaviors

## Class EdgeLabelHidingBehavior

- java.lang.Object
- - org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior
  - - org.eclipse.gef.zest.fx.behaviors.AbstractHidingBehavior
    - - org.eclipse.gef.zest.fx.behaviors.EdgeLabelHidingBehavior

All Implemented Interfaces:
  IActivatable, IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>, IBehavior

    public class EdgeLabelHidingBehavior
    extends AbstractHidingBehavior

The `EdgeLabelHidingBehavior` is an `EdgeLabelPart`-specific `AbstractHidingBehavior` implementation.

### Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`active, adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`EdgeLabelHidingBehavior()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `determineHiddenStatus()` Returns `true` if the `host` is currently hidden.
`EdgeLabelPart` `getHost()`

### Methods inherited from class org.eclipse.gef.zest.fx.behaviors.AbstractHidingBehavior

`doActivate, doDeactivate, getHidingModel, hide, isHidden, onHidingModelChange, show`

### Methods inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`activate, activeProperty, adaptableProperty, addAnchoreds, addAnchoreds, addFeedback, addFeedback, addHandles, addHandles, clearFeedback, clearHandles, deactivate, getAdaptable, getFeedback, getFeedback, getFeedbackPartFactory, getFeedbackPartFactory, getFeedbackPerTargetSet, getHandlePartFactory, getHandlePartFactory, getHandles, getHandles, getHandlesPerTargetSet, hasFeedback, hasFeedback, hasHandles, hasHandles, isActive, removeAnchoreds, removeFeedback, removeFeedback, removeFeedback, removeHandles, removeHandles, removeHandles, setAdaptable, updateHandles, updateHandles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdgeLabelHidingBehavior

    public EdgeLabelHidingBehavior()

### Method Detail

#### determineHiddenStatus

    protected boolean determineHiddenStatus()

Description copied from class: `AbstractHidingBehavior`
Returns `true` if the `host` is currently hidden. Otherwise, returns `false`.

Specified by:
  `determineHiddenStatus` in class `AbstractHidingBehavior`
Returns:
  `true` if the `host` is currently hidden, otherwise `false`.

#### getHost

    public EdgeLabelPart getHost()

Specified by:
  `getHost` in interface `IBehavior`
Overrides:
  `getHost` in class `AbstractBehavior`